Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1832)

Unified Diff: build/install-chroot.sh

Issue 11187019: Always reference newly created script using full path. (Closed) Base URL: http://git.chromium.org/chromium/src.git@master
Patch Set: Created 8 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-chroot.sh
diff --git a/build/install-chroot.sh b/build/install-chroot.sh
index 1743703cfbe02b572e8f404bfb412adbb3a93276..0d6eca73b95751b6cdf1cd77126dad76df6eba5a 100755
--- a/build/install-chroot.sh
+++ b/build/install-chroot.sh
@@ -658,7 +658,8 @@ if [ -x "${script}" ]; then
# possible, if it lives on a network filesystem that denies
# access to root.
tmp_script=
- if ! sudo "${target%bit}" sh -c "[ -x '${script}' ]" >&/dev/null; then
+ if ! sudo /usr/local/bin/"${target%bit}" \
+ sh -c "[ -x '${script}' ]" >&/dev/null; then
tmp_script="/tmp/${script##*/}"
cp "${script}" "${tmp_script}"
fi
@@ -767,7 +768,7 @@ if [ ! -h "${HOME}/chroot" ] &&
fi
# Clean up package files
-sudo schroot -c "${target%bit}" -p -- apt-get clean
+sudo schroot -c /usr/local/bin/"${target%bit}" -p -- apt-get clean
sudo apt-get clean
trap '' INT TERM QUIT HUP
@@ -779,8 +780,8 @@ cat <<EOF
Successfully installed ${distname} ${arch}
-You can run programs inside of the chroot by invoking the "${target%bit}"
-command.
+You can run programs inside of the chroot by invoking the
+"/usr/local/bin/${target%bit}" command.
This command can be used with arguments, in order to just run a single
program inside of the chroot environment (e.g. "${target%bit} make chrome")
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698